com.holonplatform.vaadin.flow.components.builders

## Interface HasSizeConfigurator<C extends HasSizeConfigurator<C>>

- Type Parameters:
    `C` - Concrete configurator type
  All Known Subinterfaces:
    BaseTemporalInputConfigurator<D,C>, BeanListingBuilder<T>, BeanListingBuilder.DatastoreBeanListingBuilder<T>, BeanListingConfigurator<T,C>, BooleanInputBuilder, BooleanInputConfigurator<C>, ButtonBuilder, ButtonConfigurator<C>, ButtonConfigurator.BaseButtonConfigurator, DateInputBuilder, DateInputConfigurator<C>, DateTimeInputBuilder, DateTimeInputConfigurator<C>, DialogBuilder<B>, DialogBuilder.ConfirmDialogBuilder, DialogBuilder.MessageDialogBuilder, DialogBuilder.QuestionDialogBuilder, DialogConfigurator<C>, DialogConfigurator.ClosableDialogConfigurator<C>, FilterableSingleSelectConfigurator<T,ITEM,B>, FilterableSingleSelectConfigurator.DatastoreFilterableSingleSelectInputBuilder<T,ITEM>, FilterableSingleSelectConfigurator.DatastoreFilterableSingleSelectInputConfigurator<T,ITEM,C>, FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputBuilder<T>, FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputConfigurator<T,C>, FilterableSingleSelectConfigurator.FilterableSingleSelectInputBuilder<T,ITEM>, FilterableSingleSelectConfigurator.FilterableSingleSelectInputConfigurator<T,ITEM,D,C>, FilterableSingleSelectConfigurator.PropertyFilterableSingleSelectInputBuilder<T>, FilterableSingleSelectConfigurator.PropertyFilterableSingleSelectInputConfigurator<T,D,C>, FilterableSingleSelectConfigurator.ValidatableDatastoreFilterableSingleSelectInputBuilder<T,ITEM>, FilterableSingleSelectConfigurator.ValidatableDatastorePropertyFilterableSingleSelectInputBuilder<T>, FilterableSingleSelectConfigurator.ValidatableFilterableSingleSelectInputBuilder<T,ITEM>, FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>, FlexComponentConfigurator<C>, FormLayoutBuilder, FormLayoutConfigurator<C>, FormLayoutConfigurator.BaseFormLayoutConfigurator, HasSizeConfigurator.BaseHasSizeConfigurator, HorizontalLayoutBuilder, HtmlComponentConfigurator<C>, ItemListingBuilder<T,P,L,B>, ItemListingConfigurator<T,P,L,C>, LabelBuilder<L>, LabelConfigurator<L,C>, LabelConfigurator.BaseLabelConfigurator<L>, ListMultiSelectConfigurator<T,ITEM,B>, ListMultiSelectConfigurator.DatastoreListMultiSelectInputBuilder<T,ITEM>, ListMultiSelectConfigurator.DatastoreListMultiSelectInputConfigurator<T,ITEM,C>, ListMultiSelectConfigurator.DatastorePropertyListMultiSelectInputBuilder<T>, ListMultiSelectConfigurator.DatastorePropertyListMultiSelectInputConfigurator<T,C>, ListMultiSelectConfigurator.ListMultiSelectInputBuilder<T,ITEM>, ListMultiSelectConfigurator.ListMultiSelectInputConfigurator<T,ITEM,D,C>, ListMultiSelectConfigurator.PropertyListMultiSelectInputBuilder<T>, ListMultiSelectConfigurator.PropertyListMultiSelectInputConfigurator<T,D,C>, ListMultiSelectConfigurator.ValidatableDatastoreListMultiSelectInputBuilder<T,ITEM>, ListMultiSelectConfigurator.ValidatableDatastorePropertyListMultiSelectInputBuilder<T>, ListMultiSelectConfigurator.ValidatableListMultiSelectInputBuilder<T,ITEM>, ListMultiSelectConfigurator.ValidatablePropertyListMultiSelectInputBuilder<T>, ListSingleSelectConfigurator<T,ITEM,B>, ListSingleSelectConfigurator.DatastoreListSingleSelectInputBuilder<T,ITEM>, ListSingleSelectConfigurator.DatastoreListSingleSelectInputConfigurator<T,ITEM,C>, ListSingleSelectConfigurator.DatastorePropertyListSingleSelectInputBuilder<T>, ListSingleSelectConfigurator.DatastorePropertyListSingleSelectInputConfigurator<T,C>, ListSingleSelectConfigurator.ListSingleSelectInputBuilder<T,ITEM>, ListSingleSelectConfigurator.ListSingleSelectInputConfigurator<T,ITEM,D,C>, ListSingleSelectConfigurator.PropertyListSingleSelectInputBuilder<T>, ListSingleSelectConfigurator.PropertyListSingleSelectInputConfigurator<T,D,C>, ListSingleSelectConfigurator.ValidatableDatastoreListSingleSelectInputBuilder<T,ITEM>, ListSingleSelectConfigurator.ValidatableDatastorePropertyListSingleSelectInputBuilder<T>, ListSingleSelectConfigurator.ValidatableListSingleSelectInputBuilder<T,ITEM>, ListSingleSelectConfigurator.ValidatablePropertyListSingleSelectInputBuilder<T>, LocalDateInputBuilder, LocalDateInputConfigurator<C>, LocalDateTimeInputBuilder, LocalDateTimeInputConfigurator<C>, LocalTimeInputBuilder, LocalTimeInputConfigurator<C>, NativeButtonBuilder, NavigationLink.Builder, NumberInputBuilder<T>, NumberInputConfigurator<T,C>, PasswordInputBuilder, PasswordInputConfigurator<C>, PropertyListingBuilder, PropertyListingBuilder.DatastorePropertyListingBuilder, PropertyListingBuilder.DatastorePropertyListingConfigurator, PropertyListingConfigurator<C>, SingleSelectConfigurator<T,ITEM,B>, SingleSelectConfigurator.DatastorePropertySingleSelectInputBuilder<T>, SingleSelectConfigurator.DatastorePropertySingleSelectInputConfigurator<T,C>, SingleSelectConfigurator.DatastoreSingleSelectInputBuilder<T,ITEM>, SingleSelectConfigurator.DatastoreSingleSelectInputConfigurator<T,ITEM,C>, SingleSelectConfigurator.PropertySingleSelectInputBuilder<T>, SingleSelectConfigurator.PropertySingleSelectInputConfigurator<T,D,C>, SingleSelectConfigurator.SingleSelectInputBuilder<T,ITEM>, SingleSelectConfigurator.SingleSelectInputConfigurator<T,ITEM,D,C>, SingleSelectConfigurator.ValidatableDatastorePropertySingleSelectInputBuilder<T>, SingleSelectConfigurator.ValidatableDatastoreSingleSelectInputBuilder<T,ITEM>, SingleSelectConfigurator.ValidatablePropertySingleSelectInputBuilder<T>, SingleSelectConfigurator.ValidatableSingleSelectInputBuilder<T,ITEM>, StringAreaInputBuilder, StringAreaInputConfigurator<C>, StringInputBuilder, StringInputConfigurator<C>, ThemableFlexComponentConfigurator<C>, ThemableFlexComponentConfigurator.HorizontalLayoutConfigurator, ThemableFlexComponentConfigurator.VerticalLayoutConfigurator, ValidatableBooleanInputBuilder, ValidatableDateInputBuilder, ValidatableDateTimeInputBuilder, ValidatableLocalDateInputBuilder, ValidatableLocalDateTimeInputBuilder, ValidatableLocalTimeInputBuilder, ValidatableNumberInputBuilder<T>, ValidatablePasswordInputBuilder, ValidatableStringAreaInputBuilder, ValidatableStringInputBuilder, VerticalLayoutBuilder, ViewComponentAdapterBuilder<T>, ViewComponentBuilder<T>, ViewComponentConfigurator<T,C>
  All Known Implementing Classes:
    DefaultNavigationLink.DefaultBuilder

      public interface HasSizeConfigurator<C extends HasSizeConfigurator<C>>

  Configurator for `HasSize` type components.
  Since:
    5.2.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `HasSizeConfigurator.BaseHasSizeConfigurator` Base `HasSizeConfigurator`.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FULL_SIZE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HasSizeConfigurator.BaseHasSizeConfigurator` | `create(com.vaadin.flow.component.HasSize component)` Create a new `HasSizeConfigurator.BaseHasSizeConfigurator`.
    `default C` | `fullHeight()` Set the component heigth to `100%`.
    `default C` | `fullSize()` Set the component width and heigth to `100%`.
    `default C` | `fullWidth()` Set the component width to `100%`.
    `default C` | `height(float height, Unit unit)` Sets the height of the component, using a value and a size `Unit`.
    `C` | `height(String height)` Sets the height of the component.
    `default C` | `heightUndefined()` Clears any defined height.
    `C` | `maxHeight(String maxHeight)` Set the max-height of the component.
    `C` | `maxWidth(String maxWidth)` Set the max-width of the component.
    `C` | `minHeight(String minHeight)` Set the min-height of the component.
    `C` | `minWidth(String minWidth)` Set the min-width of the component.
    `default C` | `sizeUndefined()` Clears any size settings.
    `default C` | `width(float width, Unit unit)` Sets the width of the component, using a value and a size `Unit`.
    `C` | `width(String width)` Sets the width of the component.
    `default C` | `widthUndefined()` Clears any defined width.

- - ### Field Detail

    - #### FULL_SIZE

          static final String FULL_SIZE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### width

          C width(String width)

      Sets the width of the component.

      The width should be in a format understood by the browser, e.g. "100px" or "2.5em".

      If the provided `width` value is `null` then width is removed.

      Parameters:
        `width` - the width to set, may be `null`
      Returns:
        this

    - #### height

          C height(String height)

      Sets the height of the component.

      The height should be in a format understood by the browser, e.g. "100px" or "2.5em".

      If the provided `height` value is `null` then height is removed.

      Parameters:
        `height` - the height to set, may be `null`
      Returns:
        this

    - #### width

          default C width(float width,
                          Unit unit)

      Sets the width of the component, using a value and a size `Unit`.

      Negative number implies unspecified size.

      Parameters:
        `width` - The width of the component, negative values implies unspecified width
        `unit` - The size unit used for the width
      Returns:
        this

    - #### height

          default C height(float height,
                           Unit unit)

      Sets the height of the component, using a value and a size `Unit`.

      Negative number implies unspecified size.

      Parameters:
        `height` - The height of the component, negative values implies unspecified height
        `unit` - The size unit used for the height
      Returns:
        this

    - #### fullWidth

          default C fullWidth()

      Set the component width to `100%`.
      Returns:
        this

    - #### fullHeight

          default C fullHeight()

      Set the component heigth to `100%`.
      Returns:
        this

    - #### fullSize

          default C fullSize()

      Set the component width and heigth to `100%`.
      Returns:
        this

    - #### widthUndefined

          default C widthUndefined()

      Clears any defined width.
      Returns:
        this

    - #### heightUndefined

          default C heightUndefined()

      Clears any defined height.
      Returns:
        this

    - #### sizeUndefined

          default C sizeUndefined()

      Clears any size settings.
      Returns:
        this

    - #### minWidth

          C minWidth(String minWidth)

      Set the min-width of the component.

      The width should be in a format understood by the browser, e.g. "100px" or "2.5em".

      Parameters:
        `minWidth` - the min width to set, may be `null`
      Returns:
        this
      Since:
        5.2.3

    - #### maxWidth

          C maxWidth(String maxWidth)

      Set the max-width of the component.

      The width should be in a format understood by the browser, e.g. "100px" or "2.5em".

      Parameters:
        `maxWidth` - the max width to set, may be `null`
      Returns:
        this
      Since:
        5.2.3

    - #### minHeight

          C minHeight(String minHeight)

      Set the min-height of the component.

      The height should be in a format understood by the browser, e.g. "100px" or "2.5em".

      Parameters:
        `minHeight` - the min height to set, may be `null`
      Returns:
        this
      Since:
        5.2.3

    - #### maxHeight

          C maxHeight(String maxHeight)

      Set the max-height of the component.

      The height should be in a format understood by the browser, e.g. "100px" or "2.5em".

      Parameters:
        `maxHeight` - the max height to set, may be `null`
      Returns:
        this
      Since:
        5.2.3

    - #### create

          static HasSizeConfigurator.BaseHasSizeConfigurator create(com.vaadin.flow.component.HasSize component)

      Create a new `HasSizeConfigurator.BaseHasSizeConfigurator`.
      Parameters:
        `component` - Component to configure (not null)
      Returns:
        A new `HasSizeConfigurator.BaseHasSizeConfigurator`

Copyright © 2020 The Holon Platform. All rights reserved.